Get Stripe dashboard URL
GET {{baseUrl}}/users/stripe/dashboard_url
Returns a one-time link to the driver’s Stripe Express dashboard. Source: endpoints/users.ts GET /users/stripe/dashboard_url.
Response fields: data (the dashboard URL string — open this in a browser/WebView), status (Stripe.StripeResultStatus).
Errors: 400 with { "message": "User has not connected their stripe account." } on NoStripeID; 400 with { "message": "Something went wrong with Stripe. Please try again." } on StripeError.
Examples
Section titled “Examples”curl --request GET 'https://api.firstdelivery.com/api/users/stripe/dashboard_url'const response = await fetch("https://api.firstdelivery.com/api/users/stripe/dashboard_url", { "method": "GET", "headers": {}})const data = await response.json()import requests
response = requests.request( "GET", "https://api.firstdelivery.com/api/users/stripe/dashboard_url", headers={},)response.raise_for_status()Saved responses
Section titled “Saved responses”{ "data": "https://connect.stripe.com/express/abc123xyz", "status": "Success"}
